Skip to main content
GET
Returns information about the source with the specified identifier.

Authorizations

Authorization
string
header
required

OAuth2 bearer token in the Authorization header

Path Parameters

source_id
string<uuid>
required

Unique identifier of a Source

Response

Get particular Source Details

Common source representation. The kind discriminator indicates which subtype-specific fields are populated. Currently only SrtSource is defined.

id
string<uuid>
required
read-only

This is the GUID for the Source.

Example:

"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"

kind
enum<string>
required
read-only
Available options:
SRT
Example:

"SRT"

name
string
required

Source name

Example:

"CNN East Feed"

description
string
required

Describes the Source purpose

Example:

"Primary east-coast feed for breaking news."

status
enum<string>
required
read-only
Available options:
INACTIVE,
PENDING,
ACTIVE,
STOPPING,
ERROR
Example:

"ACTIVE"

active_receiver
enum<string>
required
read-only
Available options:
PRIMARY,
SECONDARY,
UNKNOWN
primary_connection_state
enum<string>
required
read-only
Available options:
CONNECTED,
DISCONNECTED,
WAITING
secondary_connection_state
enum<string>
required
read-only
Available options:
CONNECTED,
DISCONNECTED,
WAITING
activated_at
string<date-time> | null
read-only

Timestamp when the Source was last activated, in UTC iso8601 format.

Example:

"2025-04-21T15:53:12.388317Z"

engine_version
string | null

Engine version that hosts the source.

errors
string[] | null
read-only
passthrough_url
string | null
read-only

Optional SRT passthrough URL when the source has passthrough enabled.

primary_ingress_url
string | null
read-only

Ingress URL the customer's encoder pushes the primary stream to (caller mode), or that LiveCapture listens on (listener mode).

region
string | null

Cloud region in which the source is hosted.

secondary_ingress_url
string | null
read-only

Ingress URL for the redundant receiver, when redundancy is enabled.

stream_metadata
string | null
read-only

Engine-reported metadata of the active stream as a JSON string.

tags
string[] | null
transport_statistics_primary
string | null
read-only

Engine-reported SRT transport statistics for the primary receiver as a JSON string.

transport_statistics_secondary
string | null
read-only

Engine-reported SRT transport statistics for the secondary receiver as a JSON string.

created_at
string<date-time>
read-only

Timestamp when Source was created, in UTC iso8601 format.

Example:

"2025-04-21T15:53:12.388317Z"

updated_at
string<date-time>
read-only

Timestamp when Source was last updated, in UTC iso8601 format.

Example:

"2025-04-22T15:53:12.182617Z"